scale streaming endpoint.md
Scale Streaming Endpoint
Media API · Streaming Endpoints
POST https://app.mk.io/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}/scale
Changes the scale of the Streaming Endpoint.
RBAC Capability Required: ams.streamingendpoint.scale
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
endpoint_name |
string | Yes | — |
Request body
Content type: application/json
scaleUnit· integer · Required · >=0 — The scale unit count for this streaming endpoint.
Example request
curl -X POST "https://app.mk.io/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}/scale" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"scaleUnit": 0
}'
Responses
200 — OK. The request has succeeded.
No response body.
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: media-api · operationId: [post]_/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}/scale